import request from '@/utils/request'

// 查询充电站鉴权卡列表
export function listCard(query) {
  return request({
    url: '/pile/card/list',
    method: 'get',
    params: query
  })
}

// 查询充电站鉴权卡详细
export function getCard(id) {
  return request({
    url: '/pile/card/' + id,
    method: 'get'
  })
}

// 新增充电站鉴权卡
export function addCard(data) {
  return request({
    url: '/pile/card',
    method: 'post',
    data: data
  })
}

// 修改充电站鉴权卡
export function updateCard(data) {
  return request({
    url: '/pile/card',
    method: 'put',
    data: data
  })
}

// 删除充电站鉴权卡
export function delCard(id) {
  return request({
    url: '/pile/card/' + id,
    method: 'delete'
  })
}

// 停用某张卡
export function deactivateCard(id){
  return request({
    url: '/pile/card/deactivateCard/' + id,
    method: 'get'
  })
}
